Subject: bug#51133: [PATCH 1/1] Tolerate http response line without reason phrase

From: [email-masked]
Date: Tue, 12 Oct 2021 10:01:03 +0200

I don't think the reason phrase is optional, even though it can be just
a whitespace.
Even if I'm not mistaken, however, I don't see the reason for Guile not
to be able to parse the status line without a space at the end.

Aside from that consider a string "HTTP/1.1 ", which should be a bad
response because the status code should definitely be obligatory,
however it passes through the (and d0 d1) check after applying this
patch.